/*SpUpd!_2017.02.13_0000606*/
/*needVer=2017.02.09_0000605*/


update ksg2016 k set k.rec_ksg='R' where k.ksg_id=1 and k.ts=5 and k.dend is null;
@
update ksg2016 k set k.rec_ksg='d,1,' where k.ksg_id=6 and k.ts=5 and k.dend is null;
@

update pass_lpu ps set ps.prof_code=20 where ps.prof_code=21 and ps.tip_stac=1 and ps.lpu_code=75 and ps.oplat=6;
@
CREATE OR ALTER procedure PROV_PLAN (
    LPU integer,
    PROF smallint,
    OPLAT smallint,
    TS smallint,
    DEND date,
    KOD_MES varchar(16))
returns (
    ERR char(1),
    ERR2 char(1))
as
declare variable GR integer;
declare variable GS integer;
declare variable GG integer;
declare variable GK integer;
declare variable UROV smallint;
declare variable M smallint;
begin
  gr=0; gs=0; gg=0; gk=0;
  err='1'; err2='1';
  m=extract(month from dend);
  select sum(coalesce(p2.pgr_m,0)) gr, sum(coalesce(p2.pgs_m,0)) gs, sum(coalesce(p2.pgg_m,0)) gg, sum(coalesce(p2.pgk_m,0)) gk from planindex p,plan2month p2
  where p.lpu=:lpu and p.oplat=:oplat and p.ts=:ts and p.profile=:prof and
        p2.plan_idx=p.id and p2.n_month=:M
  into :gr, :gs, :gg, :gk;

  urov=0;
  if ((ts=1) and (char_length(kod_mes)<=7)) then urov=cast(substring(kod_mes from 1 for 1) as smallint);
  if (char_length(kod_mes)>=12) then urov=cast(substring(kod_mes from 12 for 1) as smallint)+2;

  if ((gr>0) or (gs>0) or (gk>0) or (gg>0)) then err='0';  --    
  if ((urov=0) or    -- urov=0,  TS<>1   - 
     ((urov=3) and ((gr>0) or (gs>0))) or
     ((urov<=4) and (gg>0)) or
     ((urov<=5) and (gk>0))) then err2='0';      --    
  if (err<>'0') then err2='0';   --     
  suspend;
end;
@

delete from planindex p
where p.lpu=28 and p.ts=1 and p.oplat=6 and p.profile in (20,21);
@
COMMIT WORK;
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (51663, 2967, 1, 0, 0, 183, 0, 0, 0, 0, 0, 0, 0, 0, 26);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (51664, 2967, 2, 0, 0, 183, 0, 0, 0, 0, 0, 0, 0, 0, 26);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (51665, 2967, 3, 0, 0, 183, 0, 0, 0, 0, 0, 0, 0, 0, 25);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (51666, 2967, 4, 0, 0, 183, 0, 0, 0, 0, 0, 0, 0, 0, 25);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (51667, 2967, 5, 0, 0, 183, 0, 0, 0, 0, 0, 0, 0, 0, 25);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (51668, 2967, 6, 0, 0, 183, 0, 0, 0, 0, 0, 0, 0, 0, 25);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (51669, 2967, 7, 0, 0, 183, 0, 0, 0, 0, 0, 0, 0, 0, 25);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (51670, 2967, 8, 0, 0, 183, 0, 0, 0, 0, 0, 0, 0, 0, 25);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (51671, 2967, 9, 0, 0, 182, 0, 0, 0, 0, 0, 0, 0, 0, 25);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (51672, 2967, 10, 0, 0, 182, 0, 0, 0, 0, 0, 0, 0, 0, 25);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (51673, 2967, 11, 0, 0, 271, 0, 0, 0, 0, 0, 0, 0, 0, 25);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (51674, 2967, 12, 0, 0, 182, 0, 0, 0, 0, 0, 0, 0, 0, 25);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (54069, 3184, 1, 0, 0, 37, 0, 0, 0, 0, 0, 0, 0, 0, 14);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (54070, 3184, 2, 0, 0, 37, 0, 0, 0, 0, 0, 0, 0, 0, 14);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (54071, 3184, 3, 0, 0, 37, 0, 0, 0, 0, 0, 0, 0, 0, 14);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (54072, 3184, 4, 0, 0, 37, 0, 0, 0, 0, 0, 0, 0, 0, 14);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (54073, 3184, 5, 0, 0, 37, 0, 0, 0, 0, 0, 0, 0, 0, 14);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (54074, 3184, 6, 0, 0, 37, 0, 0, 0, 0, 0, 0, 0, 0, 14);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (54075, 3184, 7, 0, 0, 37, 0, 0, 0, 0, 0, 0, 0, 0, 14);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (54076, 3184, 8, 0, 0, 37, 0, 0, 0, 0, 0, 0, 0, 0, 13);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (54077, 3184, 9, 0, 0, 36, 0, 0, 0, 0, 0, 0, 0, 0, 13);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (54078, 3184, 10, 0, 0, 36, 0, 0, 0, 0, 0, 0, 0, 0, 13);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (54079, 3184, 11, 0, 0, 36, 0, 0, 0, 0, 0, 0, 0, 0, 13);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (54080, 3184, 12, 0, 0, 36, 0, 0, 0, 0, 0, 0, 0, 0, 13);
@
COMMIT WORK;
@

INSERT INTO PLANINDEX (ID, LPU, OPLAT, TS, PROFILE, RY, GY, KY, SY, YEARMIDBED, YEARWORKBED, LONGTIMEILL, YEARS, DATEFROM, DATETO, PG_RY, PG_SY, PG_GY, PG_KY, SUM_RY, SUM_SY, SUM_GY, SUM_KY, GR_COST, GS_COST, GG_COST, GK_COST, KID_BED, NSZ) VALUES (2967, 28, 6, 1, 21, 0, 0, 2281, 0, 8, 0, 13.1, 2017, NULL, NULL, 0, 0, 0, 302, 0, 0, 0, 0, 0, 0, 0, 0, NULL, 0);
@
INSERT INTO PLANINDEX (ID, LPU, OPLAT, TS, PROFILE, RY, GY, KY, SY, YEARMIDBED, YEARWORKBED, LONGTIMEILL, YEARS, DATEFROM, DATETO, PG_RY, PG_SY, PG_GY, PG_KY, SUM_RY, SUM_SY, SUM_GY, SUM_KY, GR_COST, GS_COST, GG_COST, GK_COST, KID_BED, NSZ) VALUES (3184, 28, 6, 1, 20, 0, 0, 440, 0, 3, 0, 0, 2017, NULL, NULL, 0, 0, 0, 163, 0, 0, 0, 0, 0, 0, 0, 0, NULL, 0);
@

delete from planindex p
where p.lpu=31 and p.ts=1 and p.oplat=6 and p.profile in (12,13);
@
COMMIT WORK;
@

INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (32619, 2964, 1, 0, 0, 536, 0, 0, 0, 0, 0, 0, 0, 0, 54);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (32620, 2964, 2, 0, 0, 536, 0, 0, 0, 0, 0, 0, 0, 0, 54);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (32621, 2964, 3, 0, 0, 536, 0, 0, 0, 0, 0, 0, 0, 0, 54);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (32622, 2964, 4, 0, 0, 536, 0, 0, 0, 0, 0, 0, 0, 0, 54);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (32623, 2964, 5, 0, 0, 536, 0, 0, 0, 0, 0, 0, 0, 0, 54);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (32624, 2964, 6, 0, 0, 536, 0, 0, 0, 0, 0, 0, 0, 0, 54);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (32625, 2964, 7, 0, 0, 536, 0, 0, 0, 0, 0, 0, 0, 0, 54);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (32626, 2964, 8, 0, 0, 536, 0, 0, 0, 0, 0, 0, 0, 0, 53);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (32627, 2964, 9, 0, 0, 536, 0, 0, 0, 0, 0, 0, 0, 0, 53);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (32628, 2964, 10, 0, 0, 536, 0, 0, 0, 0, 0, 0, 0, 0, 53);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (32629, 2964, 11, 0, 0, 535, 0, 0, 0, 0, 0, 0, 0, 0, 53);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (32630, 2964, 12, 0, 0, 535, 0, 0, 0, 0, 0, 0, 0, 0, 53);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (32607, 2963, 1, 0, 0, 193, 0, 0, 0, 0, 0, 0, 0, 0, 16);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (32608, 2963, 2, 0, 0, 193, 0, 0, 0, 0, 0, 0, 0, 0, 16);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (32609, 2963, 3, 0, 0, 193, 0, 0, 0, 0, 0, 0, 0, 0, 16);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (32610, 2963, 4, 0, 0, 193, 0, 0, 0, 0, 0, 0, 0, 0, 16);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (32611, 2963, 5, 0, 0, 193, 0, 0, 0, 0, 0, 0, 0, 0, 16);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (32612, 2963, 6, 0, 0, 193, 0, 0, 0, 0, 0, 0, 0, 0, 15);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (32613, 2963, 7, 0, 0, 193, 0, 0, 0, 0, 0, 0, 0, 0, 15);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (32614, 2963, 8, 0, 0, 193, 0, 0, 0, 0, 0, 0, 0, 0, 15);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (32615, 2963, 9, 0, 0, 193, 0, 0, 0, 0, 0, 0, 0, 0, 15);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (32616, 2963, 10, 0, 0, 192, 0, 0, 0, 0, 0, 0, 0, 0, 15);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (32617, 2963, 11, 0, 0, 192, 0, 0, 0, 0, 0, 0, 0, 0, 15);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (32618, 2963, 12, 0, 0, 192, 0, 0, 0, 0, 0, 0, 0, 0, 15);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (54354, 3251, 1, 0, 0, 0, 0, 0, 0, 472656.71, 0, 0, 0, 0, 0);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (54355, 3251, 2, 0, 0, 0, 0, 0, 0, 472656.71, 0, 0, 0, 0, 0);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (54356, 3251, 3, 0, 0, 0, 0, 0, 0, 472656.71, 0, 0, 0, 0, 0);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (54357, 3251, 4, 0, 0, 0, 0, 0, 0, 472656.71, 0, 0, 0, 0, 0);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (54358, 3251, 5, 0, 0, 0, 0, 0, 0, 472656.71, 0, 0, 0, 0, 0);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (54359, 3251, 6, 0, 0, 0, 0, 0, 0, 472656.71, 0, 0, 0, 0, 0);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (54360, 3251, 7, 0, 0, 0, 0, 0, 0, 472656.71, 0, 0, 0, 0, 0);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (54361, 3251, 8, 0, 0, 176, 0, 0, 0, 472656.7, 0, 0, 0, 0, 10);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (54362, 3251, 9, 0, 0, 176, 0, 0, 0, 472656.7, 0, 0, 0, 0, 10);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (54363, 3251, 10, 0, 0, 93, 0, 0, 0, 472656.7, 0, 0, 0, 0, 5);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (54364, 3251, 11, 0, 0, 93, 0, 0, 0, 472656.7, 0, 0, 0, 0, 5);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (54365, 3251, 12, 0, 0, 92, 0, 0, 0, 472656.7, 0, 0, 0, 0, 5);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (54366, 3252, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (54367, 3252, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (54368, 3252, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (54369, 3252, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (54370, 3252, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (54371, 3252, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (54372, 3252, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (54373, 3252, 8, 0, 0, 166, 0, 0, 0, 1444132.92, 0, 0, 0, 0, 9);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (54374, 3252, 9, 0, 0, 166, 0, 0, 0, 1430437.28, 0, 0, 0, 0, 9);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (54375, 3252, 10, 0, 0, 87, 0, 0, 0, 761015.79, 0, 0, 0, 0, 5);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (54376, 3252, 11, 0, 0, 87, 0, 0, 0, 761015.79, 0, 0, 0, 0, 5);
@
INSERT INTO PLAN2MONTH (ID, PLAN_IDX, N_MONTH, RY_M, GY_M, KY_M, SY_M, SUM_R, SUM_G, SUM_K, SUM_S, PGR_M, PGS_M, PGG_M, PGK_M) VALUES (54377, 3252, 12, 0, 0, 88, 0, 0, 0, 761015.78, 0, 0, 0, 0, 5);
@
COMMIT WORK;
@

INSERT INTO PLANINDEX (ID, LPU, OPLAT, TS, PROFILE, RY, GY, KY, SY, YEARMIDBED, YEARWORKBED, LONGTIMEILL, YEARS, DATEFROM, DATETO, PG_RY, PG_SY, PG_GY, PG_KY, SUM_RY, SUM_SY, SUM_GY, SUM_KY, GR_COST, GS_COST, GG_COST, GK_COST, KID_BED, NSZ) VALUES (2964, 31, 6, 1, 13, 0, 0, 6430, 0, 0, 0, 0, 2017, NULL, NULL, 0, 0, 0, 643, 0, 0, 0, 0, 0, 0, 0, 0, NULL, 0);
@
INSERT INTO PLANINDEX (ID, LPU, OPLAT, TS, PROFILE, RY, GY, KY, SY, YEARMIDBED, YEARWORKBED, LONGTIMEILL, YEARS, DATEFROM, DATETO, PG_RY, PG_SY, PG_GY, PG_KY, SUM_RY, SUM_SY, SUM_GY, SUM_KY, GR_COST, GS_COST, GG_COST, GK_COST, KID_BED, NSZ) VALUES (2963, 31, 6, 1, 12, 0, 0, 2313, 0, 0, 0, 0, 2017, NULL, NULL, 0, 0, 0, 185, 0, 0, 0, 0, 0, 0, 0, 0, NULL, 0);
@
INSERT INTO PLANINDEX (ID, LPU, OPLAT, TS, PROFILE, RY, GY, KY, SY, YEARMIDBED, YEARWORKBED, LONGTIMEILL, YEARS, DATEFROM, DATETO, PG_RY, PG_SY, PG_GY, PG_KY, SUM_RY, SUM_SY, SUM_GY, SUM_KY, GR_COST, GS_COST, GG_COST, GK_COST, KID_BED, NSZ) VALUES (3251, 31, 6, 1, 12, 0, 0, 630, 0, 0, 0, 0, 2017, NULL, NULL, 0, 0, 0, 35, 0, 0, 0, 5671880.47, 0, 0, 0, 185247.53, NULL, 1);
@
INSERT INTO PLANINDEX (ID, LPU, OPLAT, TS, PROFILE, RY, GY, KY, SY, YEARMIDBED, YEARWORKBED, LONGTIMEILL, YEARS, DATEFROM, DATETO, PG_RY, PG_SY, PG_GY, PG_KY, SUM_RY, SUM_SY, SUM_GY, SUM_KY, GR_COST, GS_COST, GG_COST, GK_COST, KID_BED, NSZ) VALUES (3252, 31, 6, 1, 13, 0, 0, 594, 0, 0, 0, 0, 2017, NULL, NULL, 0, 0, 0, 33, 0, 0, 0, 5157617.56, 0, 0, 0, 156291.44, NULL, 1);
@